version: '3.7'

services:


    db:
        build: ./postgresql
        container_name: ogure_db
        ports:
            - 5432:5432
        volumes:
            - db_ogure:/var/lib/postgresql/data/
        env_file:
            - ./postgresql/.env.db

    backend-django:
        build: .
        container_name: ogure_backend
        volumes:
            - staticfiles:/staticfiles
        env_file:
            - .env
        ports:
            - 8001:8000
        depends_on: 
            - db
    node:
        container_name: ogure_node
        build: ./node

        volumes:
            - front_ogure:/home/node/app/static

    nginx:
        build: ./nginx
        container_name: ogure_front
        volumes:
            - staticfiles:/staticfiles
            - front_ogure:/usr/share/nginx/html/static
        ports:
            - 80:80
        depends_on: 
            - backend-django

volumes:
    front_ogure:
    db_ogure:
    staticfiles:
